package cs214.webapp.client
package graphics

import cs214.webapp.UserID
import cs214.webapp.client.StateMachineClientAppInstance
import org.scalajs.dom

/** General web graphics UI, basically a wrapper around raw ScalaJS API */
abstract class WebClientAppInstance[Event, View](
    userID: UserID,
    sendMessage: ujson.Value => Unit,
    target: Target
) extends StateMachineClientAppInstance[Event, View](userID, sendMessage, target)
