package cs214.webapp.client.graphics

enum MouseButton:
  case Left
  case Middle
  case Right

object MouseButton:
  def from(htmlButtonIdentifier: Int): MouseButton =
    htmlButtonIdentifier match
      case 0 => Left
      case 1 => Middle
      case 2 => Right
      case i => throw IllegalStateException(s"Unsupported mouse button: $i")
